Bug 541208 - package-cleanup needs to handle a 'rpmdb changed under us' error more gracefully.
package-cleanup needs to handle a 'rpmdb changed under us' error more gracefu...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:95441af0
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-25 03:47 EST by Matteo Corti
Modified: 2014-01-21 18:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 09:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (849 bytes, text/plain)
2009-11-25 03:47 EST, Matteo Corti
no flags Details

  None (edit)
Description Matteo Corti 2009-11-25 03:47:17 EST
abrt detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/package-cleanup --orphans 
component: yum-utils
executable: /usr/bin/package-cleanup
kernel: 2.6.31.5-127.fc12.i686
package: yum-utils-1.1.24-2.fc12
uuid: 95441af0
Comment 1 Matteo Corti 2009-11-25 03:47:20 EST
Created attachment 373703 [details]
File: backtrace
Comment 2 seth vidal 2009-11-25 09:26:02 EST
interesting. Were you running package-cleanup at the same time yum or packagekit was running some transaction?
Comment 3 Matteo Corti 2009-11-25 10:59:12 EST
Hi,

not sure but maybe the update deamon started something at the same time (yum-updatesd).

Matteo
Comment 4 Tim Lauridsen 2010-04-30 09:24:53 EDT
Yum locking was added in yum-3.2.26 to the new kind of util, so this should not happen any more

Note You need to log in before you can comment on or make changes to this bug.